package 
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.text.TextField;
	import flash.utils.Timer;

	/**
	 * Данный класс показывает количество кадров в секунду
	 * @author Newred
	 * 
	 * версия 1.02 от 31.05.2011
	 * 
	 */ 
	public class FrameCounter extends Sprite
	{
		public var timer:Timer;
		public var frame:uint = 0;
		public var txt1:TextField;
		private var message:String = " FPS";
		
		public function FrameCounter(txt:TextField) // получаем txt из вне)
		{
			txt1 = txt;
			init();
		}
		
		private function init():void
		{
			addEventListener(Event.ENTER_FRAME, onframe);
			timer = new Timer(1000);
			timer.addEventListener(TimerEvent.TIMER, ontimer);
			timer.start();
		}
		
		private function onframe(e:Event):void
		{
			frame ++;
		}
		
		private function ontimer(e:TimerEvent):void
		{
			txt1.text = " "+frame.toString()+message;
			frame = 0;
		}

	}
}