package
{
	import flash.display.MovieClip;
	import flash.events.Event;
	import flash.events.IOErrorEvent;
	import flash.events.MouseEvent;
	import flash.events.TimerEvent;
	import flash.media.Sound;
	import flash.media.SoundChannel;
	import flash.media.SoundTransform;
	import flash.net.SharedObject;
	import flash.net.URLRequest;
	import flash.utils.Timer;
	
	public class mainMenu extends MovieClip
	{
		private var menu:intro; // наше меню
		private var timer:Timer;
		private var bShow:Boolean = true;
		private var aItem:Array = [];
		private var CurrentItem:uint = 99;
		private var instruction:uint = 1;
		private var snd:Sound;
		private var sndTR:SoundTransform;
		private var sndCL:SoundChannel;
		private var SO:SharedObject;
		private var you:hero = new hero();
		
		public function mainMenu()
		{
			init();
			setSound();
			showMenu();
		}
		
		private function init():void
		{
			menu = new intro(); // создали меню
			menu.y -= 500;
			menu.addEventListener(MouseEvent.CLICK, click);
			addChild(menu); // добавили на сцену
			
			var menuAbout:fullAbout = new fullAbout();
			var menuSetting:fullSetting = new fullSetting();
			// Game there
			
			aItem.push(menuAbout);
			aItem.push(menuSetting);
			aItem.push(you);
			
			for(var i:uint = 0; i< aItem.length; i++)
			{
				aItem[i].mouseChildren = false;
				aItem[i].x = 280;
				aItem[i].y = 138-500;
				addChild(aItem[i]);
				aItem[i].buttonMode = true;
				addEventListener(MouseEvent.MOUSE_DOWN, mouse_down);
			}
		}
		
		private function setSound():void
		{
			SO = SharedObject.getLocal("saveSetting");
			
			var vol:Number;
			snd = new Sound(new URLRequest("ft2.mp3"));
			
			snd.addEventListener(IOErrorEvent.IO_ERROR, sound_error) ;
			
		//	snd = new Sound(new URLRequest("The-First-Templar-OST(muzofon.com).mp3")); 
			
			trace(SO.data.volume)
			if(String(SO.data.volume) != "undefined")
			{
				vol = SO.data.volume;
			}else{
				vol = 0.05;
				SO.data.volume = vol;
			}
			aItem[1].tf.text = String(uint(SO.data.volume*100));
			aItem[1].soundBar.line.scaleX = SO.data.volume;
			
			sndTR = new SoundTransform(vol);
			sndCL = snd.play(0,99,sndTR);
		}
		
		private function sound_error(e:IOErrorEvent):void
		{
			// звук не загрузылся, печалька. 
		}
		
		private function added(e:Event):void
		{
			removeEventListener(Event.ADDED, added);
			init();
			showMenu();
		}
		
		private function showMenu(level:uint = 1, currentItem:uint = 99):void
		{
			instruction = level;
			CurrentItem = currentItem;
			
			timer = new Timer(10,50);
			timer.addEventListener(TimerEvent.TIMER, timer_timer);
			timer.addEventListener(TimerEvent.TIMER_COMPLETE, timer_complite);
			timer.start();
		}
		
		private function timer_timer(e:TimerEvent):void
		{
			switch(instruction)
			{
				case 1: // меню вниз
				{
					menu.y += 10;
					break;
				}
				case 2: // меню вверх
				{
					menu.y += 10;
					break;
				}
				case 3: 
				{
					aItem[CurrentItem].y += 10; // выбранное меню вниз
					break;
				}
				case 4: 
				{
					aItem[CurrentItem].y += 10; // выбранное меню вниз
					break;
				}
				default:
				{
					break;
				}
			}
				
				e.updateAfterEvent();
		}
		
		private function timer_complite(e:TimerEvent):void
		{
			if(instruction == 2) menu.y -= 1000; 
			if(instruction == 4) 
			{
				aItem[CurrentItem].y -= 1000;
				showMenu();
			}
			
			if(CurrentItem == 777)
			{
				remove();
				dispatchEvent(new Event("beginGame"));
				return;
			}
			if(CurrentItem != 99 && instruction !=3)
			{		
				showMenu(3,CurrentItem);
			}
		}
		
		private function click(e:MouseEvent):void
		{
			//menu.removeEventListener(MouseEvent.CLICK, click);
			switch(e.target.name)
			{
				case "Game":
					// beginGame
					showMenu(2,777);
					break;
				case "Setting":
					showMenu(2,1);
					break;
				case "About":
					showMenu(2,0);
					break;
				default:
				{
					trace("нажали на что то...");
					//menu.addEventListener(MouseEvent.CLICK, click);
				}
			}
		}
		
		private function mouse_down(e:MouseEvent):void
		{
			trace("tr "+e.target);
			trace("t.name "+e.target.name);
		//	trace(e);
			var typeEvent:String = e.target.toString();   // [object fullAbout]
			
			
			
			e.stageY < 220 // на выход
			e.stageX < 75 < 465	
			
			switch(typeEvent)
			{
				case "[object fullAbout]":
					trace("соответствие ");
					showMenu(4,0);
					break;
				case "[object fullSetting]":
					setting();
					break;
			}
			
			function setting():void // функция внутри функции, для доступа к e:MouseEvent
			{
				if(e.stageY < 220)
				{
					showMenu(4,1);
				}else
				{
					aItem[1].soundBar.line.width = e.stageX - 182;	
					SO.data.volume = (e.stageX - 182)/400;
					sndTR.volume = SO.data.volume;
					aItem[1].tf.text = String(uint(SO.data.volume*100));
					sndCL.soundTransform = sndTR;
				}
			}
		}
		
		private function remove():void
		{
			menu.removeEventListener(MouseEvent.CLICK, click);
			for(var i:uint = 0; i< aItem.length; i++)
			{
				removeEventListener(MouseEvent.MOUSE_DOWN, mouse_down);
			}
			timer.removeEventListener(TimerEvent.TIMER, timer_timer);
			timer.removeEventListener(TimerEvent.TIMER_COMPLETE, timer_complite);
			addEventListener(Event.ADDED, added); // слушаем повторного добавления 
		}
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
		
	}
}